# <%= git %>

<%= description %>

## How to install

(When not installed through [the starter](https://gitlab.com/GreenhouseGroup/creativedevelopment/create-lemonpi-studio-plugin.git))

Run `npm install` and create an `/.env` file containing your `LEMONPI_EMAIL` and `LEMONPI_PASSWORD`.

## How to use

Run `npm start` to build (and watch) your files from `/src` to `/dist`. Make sure to set `/dist` as your plugin development directory in LemonPI Studio, to start developing your plugin.

### Creating the plugin

You're required to leave `src/script.js` as the entryfile for the implementation of your plugin. This file should contain a singular export which must be a function and described as follows:

```js
export default function (panelFields) { /* ... */ }
```

\* *The function export declaration may also be an arrow function. An `async` export is supported but highly discouraged.*

## How to deploy

Run `npm run deploy` to build and upload your plugin to LemonPI.

(If you only want to create an archive for manual deployment, run `npm run archive`)
