import { join } from 'path';

const { name, version } = require('../package.json');

const archiveDirectoryPath = join(__dirname, '../dist/');
const archiveFileName = `${name.replace(/\//g, '_')}-${version}.zip`;
const archiveFilePath = `${archiveDirectoryPath}${archiveFileName}`;

export default {
  lemonpiPluginApiUrl: 'https://studio.lemonpi.io/api/plugins/v2',
  lemonpiLoginApiUrl: 'https://manage.lemonpi.io/api/v0/login',
  archiveFileName,
  archiveFilePath,
  archiveDirectoryPath,
};
